Skip to content
Permalink
Browse files
GROOVY-10507: Bump Spock to 2.1-groovy-3.0 (test dependency)
  • Loading branch information
paulk-asert committed Feb 24, 2022
1 parent 693e103 commit 0d11c955abdab8870bd80120fc16304cc6a2800a
Show file tree
Hide file tree
Showing 2 changed files with 1 addition and 138 deletions.
@@ -245,11 +245,6 @@
<sha512 value="ebee0392de86ab6067af663c0136cec42b1640166b37d718ace95c9d225a1fe91b1ed23cdad5abcf39763a1496355a5dfe0137987353a0fc4b40e4da2afc93f3" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="asm" name="asm-tree" version="3.0">
<artifact name="asm-tree-3.0.jar">
<sha512 value="cf9ebeadfaf1b9f268b2d60ab83812926faa823ee7e26255c57f472eb58b4128ee37c6c9427bd683d11357675f182c5d09e46deb7da225c9a84683d0a762b716" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="asm" name="asm-tree" version="3.2">
<artifact name="asm-tree-3.2.jar">
<sha512 value="108769e8f2c9daf8209404b8d95a5e545dc74d2572cbfaa43953eaa26531fc94997bc2dc19096f7c05dbbbd04352208d358ec62a6fd2a46b80afb9cc966ae31d" origin="Generated by Gradle because artifact wasn't signed"/>
@@ -265,11 +260,6 @@
<sha512 value="5f881cb5fc18df80f574ab3af261ef4a45a628794b40c3ffd896af98b9fbbf06ad65ac41e0688fefc9769901bc84a0eff866c77bf07af467a26c811003845f62" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="biz.aQute.bnd" name="biz.aQute.bndlib" version="4.0.0">
<artifact name="biz.aQute.bndlib-4.0.0.jar">
<pgp value="32d98ffd50617f6ed7e6abd236feecf06c2da10b"/>
</artifact>
</component>
<component group="biz.aQute.bnd" name="biz.aQute.bndlib" version="5.2.0">
<artifact name="biz.aQute.bndlib-5.2.0.jar">
<pgp value="32d98ffd50617f6ed7e6abd236feecf06c2da10b"/>
@@ -302,42 +292,16 @@
<pgp value="ea313384ca0eba950ea017e937890e298d9a2bfa"/>
</artifact>
</component>
<component group="com.github.ben-manes" name="gradle-versions-plugin" version="0.33.0">
<artifact name="gradle-versions-plugin-0.33.0.jar">
<sha512 value="c0b463a7c016ba23733da36f7b6aa224cd466605e8eba63688a06665e9af6110218d4081088f8af824beb6e139259cac18e7e26dd9b63826698d0669ff29b303" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="com.github.ben-manes" name="gradle-versions-plugin" version="0.36.0">
<artifact name="gradle-versions-plugin-0.36.0.jar">
<sha512 value="d57ac7e2c3ab7135504c2aded5e622032ab03905ef259645a0ee2b0d3b9868bc15131ad50027f47044f710dba681ad2a54b669451c795e8189378ad2525d4e44" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="com.github.ben-manes" name="gradle-versions-plugin" version="0.38.0">
<artifact name="gradle-versions-plugin-0.38.0.jar">
<sha512 value="c1ab30aa9984aaf40e0def6474f535875abcca1568e6d495317d1092b782ac39d13505bbbd50877589610a59273ac89ade0b68eee0501961c1af17ca5d509178" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="com.github.ben-manes" name="gradle-versions-plugin" version="0.42.0">
<artifact name="gradle-versions-plugin-0.42.0.jar">
<sha512 value="1abeee4aa1a033f7a38333846b8b65ad6a859f1a3f4420f193a5a47a096eee032d2f769b1bd79a05f752ec3139a256cee9eed36984b5078cff651dac0412d352" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="com.github.javaparser" name="javaparser-core" version="3.23.0">
<artifact name="javaparser-core-3.23.0.jar">
<pgp value="a55830120aed177e1aa4f66a431b8f80403a7dc1"/>
<sha512 value="f4be9bd025cfcb060529936fe29ea0a64b6b7ca2b91d1f2ca29b087e973480b6fe29deed39882d6f9e7f772d9105a5b9bb159ea6fbfe7bc559a9e833f802a47c" origin="Generated by Gradle because a key couldn't be downloaded"/>
</artifact>
</component>
<component group="com.github.javaparser" name="javaparser-core" version="3.24.0">
<artifact name="javaparser-core-3.24.0.jar">
<pgp value="253e8e4c6fb28d11748115c1249dee8e2c07a0a2"/>
</artifact>
</component>
<component group="com.github.siom79.japicmp" name="japicmp" version="0.13.1">
<artifact name="japicmp-0.13.1.jar">
<pgp value="fffd810fffde203d5fa27263beabcfbee059e4e5"/>
</artifact>
</component>
<component group="com.github.siom79.japicmp" name="japicmp" version="0.14.3">
<artifact name="japicmp-0.14.3.jar">
<pgp value="fffd810fffde203d5fa27263beabcfbee059e4e5"/>
@@ -358,31 +322,11 @@
<pgp value="7616eb882daf57a11477aaf559a252fb1199d873"/>
</artifact>
</component>
<component group="com.google.code.gson" name="gson" version="2.8.6">
<artifact name="gson-2.8.6.jar">
<pgp value="afcc4c7594d09e2182c60e0f7a01b0f236e5430f"/>
</artifact>
</component>
<component group="com.google.code.gson" name="gson" version="2.8.9">
<artifact name="gson-2.8.9.jar">
<pgp value="c7be5bcc9fec15518cfda882b0f3710fa64900e7"/>
</artifact>
</component>
<component group="com.google.errorprone" name="error_prone_annotations" version="2.2.0">
<artifact name="error_prone_annotations-2.2.0.jar">
<pgp value="e77417ac194160a3fabd04969a259c7ee636c5ed"/>
</artifact>
</component>
<component group="com.google.errorprone" name="error_prone_annotations" version="2.3.4">
<artifact name="error_prone_annotations-2.3.4.jar">
<pgp value="7615ad56144df2376f49d98b1669c4bb543e0445"/>
</artifact>
</component>
<component group="com.google.errorprone" name="error_prone_annotations" version="2.5.1">
<artifact name="error_prone_annotations-2.5.1.jar">
<pgp value="e77417ac194160a3fabd04969a259c7ee636c5ed"/>
</artifact>
</component>
<component group="com.google.errorprone" name="error_prone_annotations" version="2.7.1">
<artifact name="error_prone_annotations-2.7.1.jar">
<pgp value="e77417ac194160a3fabd04969a259c7ee636c5ed"/>
@@ -418,11 +362,6 @@
<sha512 value="4757fe5f5140d3ba223cbc242afc5e513d08b2a4454d1b00987fc670217db55527d206943c356ebdd80f77ed7b867c8dd3b17432b4a57b3e9d19dfc7e43bf9aa" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="com.gradle" name="gradle-enterprise-gradle-plugin" version="3.4.1">
<artifact name="gradle-enterprise-gradle-plugin-3.4.1.jar">
<pgp value="314fe82e5a4c5377bca2edec5208812e1e4a6db0"/>
</artifact>
</component>
<component group="com.gradle" name="gradle-enterprise-gradle-plugin" version="3.5.2">
<artifact name="gradle-enterprise-gradle-plugin-3.5.2.jar">
<pgp value="314fe82e5a4c5377bca2edec5208812e1e4a6db0"/>
@@ -464,11 +403,6 @@
<sha512 value="ce0dfd6ad89fcc2cd68190067fe2efff917d81dd6410b608057295efdbc5244b623c7e10000d913eff5e0c8cbf156b56a11377313dbfad8c333b9bfaeeaeb63c" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="commons-cli" name="commons-cli" version="1.4">
<artifact name="commons-cli-1.4.jar">
<pgp value="cd5464315f0b98c77e6e8ecd9daadc1c9fcc82d0"/>
</artifact>
</component>
<component group="commons-cli" name="commons-cli" version="1.5.0">
<artifact name="commons-cli-1.5.0.jar">
<pgp value="b6e73d84ea4fcc47166087253faad2cd5ecbb314"/>
@@ -489,11 +423,6 @@
<pgp value="2db4f1ef0fa761ecc4ea935c86fdc7e2a11262cb"/>
</artifact>
</component>
<component group="commons-lang" name="commons-lang" version="2.4">
<artifact name="commons-lang-2.4.jar">
<pgp value="636de9055c4c75c7bd9830771241bc872c5e4ec0"/>
</artifact>
</component>
<component group="commons-lang" name="commons-lang" version="2.6">
<artifact name="commons-lang-2.6.jar">
<pgp value="d196a5e3e70732eeb2e5007f1861c322c56014b2"/>
@@ -590,11 +519,6 @@
<sha512 value="8e6f9fa5eb3ba93a8b1b5a39e01a81c142b33078264dbd0a2030d60dd26735407249a12e66f5cdcab8056e93a5687124fe66e741c233b4c7a06cc8e49f82e98b" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="junit" name="junit" version="4.13.1">
<artifact name="junit-4.13.1.jar">
<pgp value="ff6e2c001948c5f2f38b0cc385911f425ec61b51"/>
</artifact>
</component>
<component group="junit" name="junit" version="4.13.2">
<artifact name="junit-4.13.2.jar">
<pgp value="ff6e2c001948c5f2f38b0cc385911f425ec61b51"/>
@@ -630,16 +554,6 @@
<pgp value="0191e61acbbe76323ac15c83b5ad94bdd6bdb924"/>
</artifact>
</component>
<component group="net.bytebuddy" name="byte-buddy" version="1.10.16">
<artifact name="byte-buddy-1.10.16.jar">
<pgp value="a7892505cf1a58076453e52d7999befba1039e8b"/>
</artifact>
</component>
<component group="net.bytebuddy" name="byte-buddy" version="1.10.22">
<artifact name="byte-buddy-1.10.22.jar">
<pgp value="a7892505cf1a58076453e52d7999befba1039e8b"/>
</artifact>
</component>
<component group="net.bytebuddy" name="byte-buddy" version="1.11.0">
<artifact name="byte-buddy-1.11.0.jar">
<pgp value="a7892505cf1a58076453e52d7999befba1039e8b"/>
@@ -665,11 +579,6 @@
<pgp value="517b94f8d0a46317a28d8ab30da8a5ec02d11ead"/>
</artifact>
</component>
<component group="net.sf.saxon" name="Saxon-HE" version="10.5">
<artifact name="Saxon-HE-10.5.jar">
<pgp value="d9aa7402ba75f78720d975211d185615d0a84648"/>
</artifact>
</component>
<component group="net.sf.saxon" name="Saxon-HE" version="10.6">
<artifact name="Saxon-HE-10.6.jar">
<pgp value="4c5f68d09d42ba7fac888df9a929ea2321fdbf8f"/>
@@ -690,11 +599,6 @@
<pgp value="d54a395b5cf3f86eb45f6e426b1b008864323b92"/>
</artifact>
</component>
<component group="org.antlr" name="antlr-runtime" version="3.5.2">
<artifact name="antlr-runtime-3.5.2.jar">
<pgp value="842afb86375d805422835bfd82b5574242c20d6f"/>
</artifact>
</component>
<component group="org.antlr" name="antlr4-runtime" version="4.9.3">
<artifact name="antlr4-runtime-4.9.3.jar">
<pgp value="b01128c8fd304fe48e6eed2c347cd0eaed975c5f"/>
@@ -731,11 +635,6 @@
<pgp value="41a1a08c62fca78b79d3081164a16faaec16a4be"/>
</artifact>
</component>
<component group="org.apache.ivy" name="ivy" version="2.2.0">
<artifact name="ivy-2.2.0.jar">
<pgp value="9c60c6b3a5a9df8fedd299d65be0ba8cb80602ae"/>
</artifact>
</component>
<component group="org.apache.ivy" name="ivy" version="2.5.0">
<artifact name="ivy-2.5.0.jar">
<pgp value="8da70c00df7af1b0d2f9dc74ddbcc1270a29d081"/>
@@ -1006,16 +905,6 @@
<pgp value="8f9a3c6d105b9f57844a721d79e193516be7998f"/>
</artifact>
</component>
<component group="org.fusesource.jansi" name="jansi" version="2.3.2">
<artifact name="jansi-2.3.2.jar">
<pgp value="dc98224c6421a7a5bb87f346ed2378cd09a08cde"/>
</artifact>
</component>
<component group="org.fusesource.jansi" name="jansi" version="2.3.3">
<artifact name="jansi-2.3.3.jar">
<pgp value="dc98224c6421a7a5bb87f346ed2378cd09a08cde"/>
</artifact>
</component>
<component group="org.fusesource.jansi" name="jansi" version="2.3.4">
<artifact name="jansi-2.3.4.jar">
<pgp value="dc98224c6421a7a5bb87f346ed2378cd09a08cde"/>
@@ -1058,11 +947,6 @@
<sha512 value="49d3109104f01efda1ae8a6145fdb91d1b1331587e2981f6cc1a1b991c50af97e8febfea5d9d224a106cab877c1e4850d183eb3c7316b82e62e51b6ca3fc29e8" origin="Generated by Gradle because a key couldn't be downloaded"/>
</artifact>
</component>
<component group="org.jboss.bridger" name="bridger" version="1.5.Final">
<artifact name="bridger-1.5.Final.jar">
<sha512 value="20943ba0f14b44e8adf99546f19f15dd993252d41440b4a401139eccdc0d96fce51db1e799e032e276e414608b679900ba5818a42bbaea09232deb42b1e3b2ef" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="org.jboss.bridger" name="bridger" version="1.6.Final">
<artifact name="bridger-1.6.Final.jar">
<sha512 value="d5d27b85a1290a31cb1752b315a0c88f8aa025de29418b7d300ac92c516ff1cf20aed1ef7aa78b6dec663433c72257d9a984a4d5eca14f27d1795fa0a2916a83" origin="Generated by Gradle because artifact wasn't signed"/>
@@ -1168,17 +1052,6 @@
<sha512 value="62efa617e564958a2b427acc4fcd6b8ad407620857774827222840bbd0d349e96deceb20925a29cce3933306bdbed01abebf9b80f050d43830ce44cb86a40c23" origin="Generated by Gradle because artifact wasn't signed"/>
</artifact>
</component>
<component group="org.spockframework" name="spock-core" version="2.0-groovy-3.0">
<artifact name="spock-core-2.0-groovy-3.0.jar">
<pgp value="76e94e8ff0ab5af3b6f8366972fefd1572eb75e1"/>
<sha512 value="f04664ae75de37db38b6ad4aa997e7b99f184d1282e6dcb5202ede90b5ad8e5f99172eb224713049123495b4d63954acb7d3ec895414e11a80049067ba7346e4" origin="Generated by Gradle because a key couldn't be downloaded"/>
</artifact>
</component>
<component group="org.spockframework" name="spock-junit4" version="2.0-groovy-3.0">
<artifact name="spock-junit4-2.0-groovy-3.0.jar">
<sha512 value="147d6502dc7eb1eb54e5b1810883451609f9fefaf40bba052854108089fd12bef9e35c78a609d7d8a03bef0af5e7f849c73461796b7e8ada2b5b65e5bfc69a3c" origin="Generated by Gradle because a key couldn't be downloaded"/>
</artifact>
</component>
<component group="org.testng" name="testng" version="7.5">
<artifact name="testng-7.5.jar">
<pgp value="7cd52b5a8295137c88fb5748dddafa7674e54418"/>
@@ -1194,16 +1067,6 @@
<pgp value="fa1703b1d287caea3a60f931e0130a3ed5a2079e"/>
</artifact>
</component>
<component group="org.yaml" name="snakeyaml" version="1.26">
<artifact name="snakeyaml-1.26.jar">
<pgp value="120d6f34e627ed3a772ebbfe55c7e5e701832382"/>
</artifact>
</component>
<component group="org.yaml" name="snakeyaml" version="1.27">
<artifact name="snakeyaml-1.27.jar">
<pgp value="120d6f34e627ed3a772ebbfe55c7e5e701832382"/>
</artifact>
</component>
<component group="org.yaml" name="snakeyaml" version="1.28">
<artifact name="snakeyaml-1.28.jar">
<pgp value="120d6f34e627ed3a772ebbfe55c7e5e701832382"/>
@@ -46,7 +46,7 @@ slf4j=1.7.36
xmlunit=1.6
xstream=1.4.19
# running with Groovy 4 can be allowed with -Dspock.iKnowWhatImDoing.disableGroovyVersionCheck=true
spock=2.0-groovy-3.0
spock=2.1-groovy-3.0
spotbugs=4.5.3
spotbugsAnnotations=4.5.3
checkstyle=9.3

0 comments on commit 0d11c95

Please sign in to comment.